Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution
Class EnterStateVetoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.FlowExecutionException
                          org.springframework.webflow.execution.EnterStateVetoException

All Implemented Interfaces:
  java.io.Serializable

    public class EnterStateVetoException

extends FlowExecutionException

Exception thrown to veto the entering of a state of a flow. Typically thrown by `FlowExecutionListener` objects that apply security or other runtime constraint checks to flow executions.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  Serialized Form

Constructor Summary
`EnterStateVetoException(RequestContext context, StateDefinition vetoedState, java.lang.String message)` Create a new enter state veto exception.
`EnterStateVetoException(RequestContext context, StateDefinition vetoedState, java.lang.String message, java.lang.Throwable cause)` Create a new enter state veto exception.
`EnterStateVetoException(java.lang.String flowId, java.lang.String sourceStateId, java.lang.String vetoedStateId, java.lang.String message)` Create a new enter state veto exception.
`EnterStateVetoException(java.lang.String flowId, java.lang.String sourceStateId, java.lang.String vetoedStateId, java.lang.String message, java.lang.Throwable cause)` Create a new enter state veto exception.

Method Summary
`java.lang.String` | `getVetoedStateId()` Returns the state for which entering was vetoed.

Methods inherited from class org.springframework.webflow.execution.FlowExecutionException
`getFlowId, getStateId`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnterStateVetoException

    public EnterStateVetoException(java.lang.String flowId,
                                   java.lang.String sourceStateId,
                                   java.lang.String vetoedStateId,
                                   java.lang.String message)

  Create a new enter state veto exception.

  Parameters:
    `flowId` - the active flow
    `sourceStateId` - the current state when the veto operation occured
    `vetoedStateId` - the state for which entering is vetoed
    `message` - a descriptive message

### EnterStateVetoException

    public EnterStateVetoException(java.lang.String flowId,
                                   java.lang.String sourceStateId,
                                   java.lang.String vetoedStateId,
                                   java.lang.String message,
                                   java.lang.Throwable cause)

  Create a new enter state veto exception.

  Parameters:
    `flowId` - the active flow
    `sourceStateId` - the current state when the veto operation occured
    `vetoedStateId` - the state for which entering is vetoed
    `message` - a descriptive message
    `cause` - the underlying cause

### EnterStateVetoException

    public EnterStateVetoException(RequestContext context,
                                   StateDefinition vetoedState,
                                   java.lang.String message)

  Create a new enter state veto exception.

  Parameters:
    `context` - the flow execution request context
    `vetoedState` - the state for which entering is vetoed
    `message` - a descriptive message

### EnterStateVetoException

    public EnterStateVetoException(RequestContext context,
                                   StateDefinition vetoedState,
                                   java.lang.String message,
                                   java.lang.Throwable cause)

  Create a new enter state veto exception.

  Parameters:
    `context` - the flow execution request context
    `vetoedState` - the state for which entering is vetoed
    `message` - a descriptive message
    `cause` - the underlying cause

Method Detail

### getVetoedStateId

    public java.lang.String getVetoedStateId()

  Returns the state for which entering was vetoed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD